From b8e98e46720c2f9043ee58e4f4a2ad05bb61931a Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Thu, 17 Aug 2017 14:48:08 +0200
Subject: [PATCH 4/4] Fix SSL tests for connstrings with spaces

Connectionstrings can have items with spaces in them, wrapped in
quotes. The tests however ran a SELECT '$connstr' upon connection
which broke on the embedded quotes. Use doubledollar quotes on the
connstr to protect against this.
---
 src/test/ssl/t/001_ssltests.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/test/ssl/t/001_ssltests.pl b/src/test/ssl/t/001_ssltests.pl
index f4daf46e44..066c84a4c2 100644
--- a/src/test/ssl/t/001_ssltests.pl
+++ b/src/test/ssl/t/001_ssltests.pl
@@ -23,7 +23,7 @@ sub run_test_psql
 	my $logstring = $_[1];
 
 	my $cmd = [
-		'psql', '-X', '-A', '-t', '-c', "SELECT 'connected with $connstr'",
+		'psql', '-X', '-A', '-t', '-c', "SELECT \$\$connected with $connstr\$\$",
 		'-d', "$connstr" ];
 
 	my $result = run_log($cmd);
-- 
2.14.1.145.gb3622a4ee

